## org.apache.xml.dtm.ref.sax2dtm
Class SAX2DTM2.TypedChildrenIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
                  |
                  +--org.apache.xml.dtm.ref.sax2dtm.SAX2DTM2.TypedChildrenIterator

public final class SAX2DTM2.TypedChildrenIterator
extends DTMDefaultBaseIterators.InternalAxisIteratorBase

Iterator that returns children of a given type for a given node. The functionality chould be achieved by putting a filter on top of a basic child iterator, but a specialised iterator is used for efficiency (both speed and size of translet).

Constructor Summary
`SAX2DTM2.TypedChildrenIterator(int nodeType)` Constructor TypedChildrenIterator

Method Summary
`int` `getNodeByPosition(int position)` Return the node at the given position.
`int` `next()` Get the next node in the iteration.
`DTMAxisIterator` `setStartNode(int node)` Set start to END should 'close' the iterator, i.e.

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
`gotoMark, setMark`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`cloneIterator, getAxis, getLast, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, reset, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAX2DTM2.TypedChildrenIterator

    public SAX2DTM2.TypedChildrenIterator(int nodeType)

  Constructor TypedChildrenIterator
  Parameters:
    `nodeType` - The extended type ID being requested.

Method Detail

### setStartNode

    public DTMAxisIterator setStartNode(int node)

  Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.
  Parameters:
    `node` - Sets the root of the iteration.
  Returns:
    A DTMAxisIterator set to the start of the iteration.

### next

    public int next()

  Get the next node in the iteration.
  Returns:
    The next node handle in the iteration, or END.

### getNodeByPosition

    public int getNodeByPosition(int position)

  Return the node at the given position.
  Overrides:
    getNodeByPosition in class DTMAxisIteratorBase

Copyright © 2006 Apache XML Project. All Rights Reserved.